Advance domain verification

Observes the required DNS records and, once they match, idempotently starts provider provisioning for the staged domain.

POST
/v1/email/domains/{id}/verification

Observes the required DNS records and, once they match, idempotently starts provider provisioning for the staged domain.

x-api-key<token>

In: header

Path Parameters

id*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/email/domains/string/verification"
{  "domainId": "string",  "domain": "string",  "phase": "dns-setup",  "records": [    {      "record": {        "type": "A",        "name": "string",        "value": "string",        "ttl": "string",        "description": "string",        "priority": 0      },      "status": "unchecked",      "observedValues": [        "string"      ],      "checkedAt": "string",      "resolutionFailure": {        "code": "string",        "message": "string"      }    }  ],  "provider": {    "identity": "pending",    "dkim": "pending",    "mailFrom": "pending"  },  "operationId": "string",  "checkedAt": "string",  "nextCheckAt": "string",  "failure": {    "code": "string",    "message": "string",    "failedAt": "string"  },  "health": {    "actionOwner": "customer",    "action": "string",    "freshness": "current",    "observedAt": "string",    "staleAt": "string",    "nextRetryAt": "string",    "reason": "ready"  },  "sending": {    "actionOwner": "customer",    "action": "string",    "freshness": "current",    "observedAt": "string",    "staleAt": "string",    "nextRetryAt": "string",    "status": "ready",    "reason": "domain-not-ready"  },  "dmarc": {    "status": "valid",    "source": "direct",    "policyDomain": "string",    "policy": "none",    "subdomainPolicy": "none",    "effectivePolicy": "none",    "observedAt": "string",    "staleAt": "string",    "guidance": "string"  },  "rotation": {    "id": "string",    "domainId": "string",    "phase": "staged",    "selector": "string",    "record": {      "name": "string",      "type": "TXT",      "value": "string",      "ttl": "string"    },    "formerRecord": {      "name": "string",      "type": "TXT",      "value": "string"    },    "minimumRetainUntil": "string"  }}